# Gimp.BatchProcedure

    const Gimp = imports.gi.Gimp;

    let batchProcedure = new Gimp.BatchProcedure();

Batch procedures implement an interpreter able to run commands as input.

In particular, batch procedures will be available on the command line through the `--batch-interpreter` option to switch the chosen interpreter. Then any command given through the `--batch` option will have to be in the chosen language.

It makes GIMP usable on the command line, but also to process small scripts (without making full-featured plug-ins), fully in command line without graphical interface.

## Hierarchy

- GObject.Object
  - Gimp.Procedure
    - Gimp.BatchProcedure

## Constructors

- Gimp.BatchProcedure.new

## Methods

- Gimp.BatchProcedure.prototype.get_interpreter_name
- Gimp.BatchProcedure.prototype.set_interpreter_name